Bug 800217 - fix valgrind reported issues
fix valgrind reported issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Rich Megginson
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 21:16 EST by Rich Megginson
Modified: 2012-06-20 03:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.10.2-2.el6
Doc Type: Bug Fix
Doc Text:
Not a bug the customer could run into. These fixes improve the server robustness.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 03:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2012-03-05 21:16:35 EST
memleak in normalize_mods2bvals

memleak in mep_parse_config_entry

handle null smods in dna_pre_op

How to verify:

run linked attributes, memberof, managed entry, auto member, DNA tests using valgrind - should see no errors reported in the above functions
Comment 2 Amita Sharma 2012-05-24 07:46:45 EDT
Following :: https://home.corp.redhat.com/wiki/dsbasics#valgrind_callgrind_and_more for valgring configuration but getting error :::

[root@dhcp201-174 valgrind]# cd /usr/sbin
[root@dhcp201-174 sbin]# mv ns-slapd ns-slapd.orig
[root@dhcp201-174 sbin]# cp /export/valgrind/ns-slapd.sh ns-slapd
[root@dhcp201-174 sbin]# cp /export/valgrind/valgrind.supp /tmp
[root@dhcp201-174 sbin]# export USE_VALGRIND=1
[root@dhcp201-174 sbin]# service dirsrv restart
Shutting down dirsrv: 
    dhcp201-174...                                         [  OK  ]
Starting dirsrv: 
    dhcp201-174.../etc/init.d/dirsrv: line 204: /usr/sbin/ns-slapd: Permission denied
                                                           [FAILED]
  *** Warning: 1 instance(s) failed to start
[root@dhcp201-174 sbin]# vim /usr/sbin/ns-slapd
[root@dhcp201-174 sbin]# vim /etc/init.d/dirsrv
[root@dhcp201-174 sbin]#
Comment 3 Rich Megginson 2012-05-24 08:46:46 EDT
after 
[root@dhcp201-174 sbin]# cp /export/valgrind/ns-slapd.sh ns-slapd
do
[root@dhcp201-174 sbin]# chmod +x ns-slapd
Comment 4 Rich Megginson 2012-05-24 19:45:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Not a bug the customer could run into.  These fixes improve the server robustness.
Comment 5 Amita Sharma 2012-05-30 04:09:14 EDT
Marking the bug verified as sanity only.
Comment 6 errata-xmlrpc 2012-06-20 03:14:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html

Note You need to log in before you can comment on or make changes to this bug.